﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net;

public partial class FileSearch : System.Web.UI.Page
{
    public string KeyWord
    {
        get { return txtKeyWord.Text; }
    }

    public string FileType
    {
        get {
            string returnValue = "";

            switch (ddlFileType.SelectedIndex)
            {
                case 0:
                    returnValue = "filetype:doc";
                    break;
                case 1:
                    returnValue = "filetype:ppt";
                    break;
                case 2:
                    returnValue = "filetype:hwp";
                    break;
                case 3:
                    returnValue = "filetype:pdf";
                    break;
            }

            return returnValue;
        }
    }

    protected void btnSearch_Click(object sender, EventArgs e)
    {
        // 쿼리 스트링 예제
        /*
        string queryString = "KeyWord=" + Server.UrlEncode(txtKeyWord.Text);
        queryString += "&";
        queryString += "FileType=" + this.FileType;
        Response.Redirect("LinkSearch.aspx?" + queryString);
        */
        
        // 쿠기 예제 1
        /*Response.Cookies["KeyWord"].Value = txtKeyWord.Text;
        Response.Cookies["KeyWord"].Expires = DateTime.Now.AddSeconds(10);
        Response.Cookies["FileType"].Value = this.FileType;
        Response.Cookies["FileType"].Expires = DateTime.Now.AddSeconds(10);
        */

        // 쿠키 예제 2 (HttpCookie 객체 사용)
        HttpCookie cookie = new HttpCookie("FileSearch");
        cookie["KeyWord"] = txtKeyWord.Text;
        cookie["FileType"] = this.FileType;
        cookie.Expires = DateTime.Now.AddYears(1);
        Response.Cookies.Add(cookie);
    }
}
