﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class LinkSearch : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (PreviousPage != null)
        {
            lnkSearchString.Text = PreviousPage.KeyWord + " " + PreviousPage.FileType;
            string url = "http://www.google.co.kr/search?q=";
            url += Server.UrlEncode(lnkSearchString.Text);
            lnkSearchString.NavigateUrl = url;
        }
        else
        {
            // 쿼리 스트링 예제
            /*lnkSearchString.Text = Request.QueryString["KeyWord"] + " ";
            lnkSearchString.Text += Request.QueryString["FileType"];
            string url = "http://www.google.co.kr/search?q=";
            url += Server.UrlEncode(lnkSearchString.Text);
            lnkSearchString.NavigateUrl = url;*/

            
            // 쿠키 예제 1
            /*lnkSearchString.Text = Request.Cookies["KeyWord"].Value + " ";
            lnkSearchString.Text += Request.Cookies["FileType"].Value;
            string url = "http://www.google.co.kr/search?q=";
            url += Server.UrlEncode(lnkSearchString.Text);
            lnkSearchString.NavigateUrl = url;*/

            // 쿠키 예제 2 (HttpCookie 객체 사용)
            HttpCookie cookie = Request.Cookies["FileSearch"];
            lnkSearchString.Text = cookie["KeyWord"] + " ";
            lnkSearchString.Text += cookie["FileType"];
            string url = "http://www.google.co.kr/search?q=";
            url += Server.UrlEncode(lnkSearchString.Text);
            lnkSearchString.NavigateUrl = url;
        }
    }
}
